#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: turtle
version: 1.5.12
id: turtle-1.5.12-IXR4Znx7CehGPB7wVbDAma
key: turtle-1.5.12-IXR4Znx7CehGPB7wVbDAma
license: BSD-3-Clause
copyright: 2015 Gabriel Gonzalez
maintainer: Gabriel439@gmail.com
author: Gabriel Gonzalez
synopsis: Shell programming, Haskell-style
description:
    @turtle@ is a reimplementation of the Unix command line environment
    in Haskell so that you can use Haskell as both a shell and a scripting
    language.
    .
    Features include:
    .
    * Batteries included: Command an extended suite of predefined utilities
    .
    * Interoperability: You can still run external shell commands
    .
    * Portability: Works on Windows, OS X, and Linux
    .
    * Exception safety: Safely acquire and release resources
    .
    * Streaming: Transform or fold command output in constant space
    .
    * Patterns: Use typed regular expressions that can parse structured values
    .
    * Formatting: Type-safe @printf@-style text formatting
    .
    * Modern: Supports @text@ and @system-filepath@
    .
    Read "Turtle.Tutorial" for a detailed tutorial or "Turtle.Prelude" for a
    quick-start guide
    .
    @turtle@ is designed to be beginner-friendly, but as a result lacks certain
    features, like tracing commands.  If you feel comfortable using @turtle@
    then you should also check out the @Shelly@ library which provides similar
    functionality.
category: System
abi: 202ebcc1aa704677ebe54eb53606abd1
exposed: True
exposed-modules:
    Turtle Turtle.Bytes Turtle.Format Turtle.Line Turtle.Options
    Turtle.Pattern Turtle.Prelude Turtle.Shell Turtle.Tutorial
hidden-modules: Turtle.Internal
import-dirs: /usr/lib/ghc-8.4.3/site-local/turtle-1.5.12
library-dirs: /usr/lib/ghc-8.4.3/site-local/turtle-1.5.12
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.4.3/turtle-1.5.12
hs-libraries: HSturtle-1.5.12-IXR4Znx7CehGPB7wVbDAma
depends:
    base-4.11.1.0 ansi-wl-pprint-0.6.8.2-IrT08V31eRK8A0Je2S5END
    async-2.2.1-B6m2kYywRJu7nicgTBxsJe bytestring-0.10.8.2
    clock-0.7.2-ErKmPTjVISxJnEb9XKUAOs containers-0.5.11.0
    directory-1.3.1.5 exceptions-0.10.0-IRO0p79DXGKGDsbbDc50a8
    foldl-1.4.5-LT8pQoUVfKyHnKtUW9qbqI
    hostname-1.0-Ej5hvtbOaDOEQosxQqfQV6
    managed-1.0.6-KscD4c3BFNIBs32klcB9iz process-1.6.3.0
    system-filepath-0.4.14-9jYDOZRDoMqIkxdisSNvm4
    system-fileio-0.3.16.4-9sx9wM2ewcAGE6Edeaomm stm-2.4.5.0
    temporary-1.3-HQZmKTuMaaJ8ejj5SHTtW6 text-1.2.3.0 time-1.8.0.2
    transformers-0.5.5.0
    optparse-applicative-0.14.3.0-3858SIdIcA6IDhFDNu1Ke4
    optional-args-1.0.2-F9yxtf9uFUtDRfwPkYMZFq
    unix-compat-0.5.1-IZ2l0C7CE13FdrCF8rJfBj unix-2.7.2.2
abi-depends: base-4.11.1.0=9da3f387598d41928f3ebf8097acf9b3
             ansi-wl-pprint-0.6.8.2-IrT08V31eRK8A0Je2S5END=f3cad6fdb79194c1feac8d9ccb8ffd58
             async-2.2.1-B6m2kYywRJu7nicgTBxsJe=64d83880768398851ddaf7518afebeee
             bytestring-0.10.8.2=76943c00398d547fb172e56c2f93c635
             clock-0.7.2-ErKmPTjVISxJnEb9XKUAOs=6b9ed802e71695075777b6e69687e9b7
             containers-0.5.11.0=7795138514357bd2e41eaf59b6cfce4f
             directory-1.3.1.5=e563da47c8e71ee27761a9b9d172f1ec
             exceptions-0.10.0-IRO0p79DXGKGDsbbDc50a8=e9779fb859fee3584d68df46d12eac41
             foldl-1.4.5-LT8pQoUVfKyHnKtUW9qbqI=9b9c61389a9458d341832aae5467bcff
             hostname-1.0-Ej5hvtbOaDOEQosxQqfQV6=acbefd15b3ea2d6585ab61079033456e
             managed-1.0.6-KscD4c3BFNIBs32klcB9iz=e2311102e0f85c85a423aadf753f7f1e
             process-1.6.3.0=abb0cfe39ff8617a198f540a7db854a9
             system-filepath-0.4.14-9jYDOZRDoMqIkxdisSNvm4=03145435aceae6e5208d7a1b612976f3
             system-fileio-0.3.16.4-9sx9wM2ewcAGE6Edeaomm=4d53a3c47a628b3e96c6402853aed13b
             stm-2.4.5.0=cd8ccc9f17cf51980f6d59f12e77db7d
             temporary-1.3-HQZmKTuMaaJ8ejj5SHTtW6=23e0f890ab26817a601e8e44d6a38379
             text-1.2.3.0=be4c3e1c57cff1d501eb0e876706a48d
             time-1.8.0.2=976962cc6498b843f1efb5bef740838e
             transformers-0.5.5.0=633c3e5ec737c360775b452ce9aa1e0b
             optparse-applicative-0.14.3.0-3858SIdIcA6IDhFDNu1Ke4=aab631eb7769f669f53846ea7d62d855
             optional-args-1.0.2-F9yxtf9uFUtDRfwPkYMZFq=9ea26075a671cfbf8999eed24c229008
             unix-compat-0.5.1-IZ2l0C7CE13FdrCF8rJfBj=fc69dbbaf4b44ed9f384fa81491b5636
             unix-2.7.2.2=5200b6eb79607eed6537538f20d679bf
haddock-interfaces: /usr/share/doc/haskell-turtle/html/turtle.haddock
haddock-html: /usr/share/doc/haskell-turtle/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

